App Admin – 簡単にAppStoreから過去バージョンのアプリをインストール!! [JBApp]

(61)

iOSデバイス単体で、簡単にAppStoreから過去バージョンを含む…好きなバージョンのアプリをインストール出来る『App Admin』のご紹介!

少し前、パソコンにて過去バージョンのアプリをダウンロードする方法が登場していましたが、これをiOSデバイス単体で簡単に行う脱獄アプリが『App Admin』です!
パソコンで行うときとは違い、簡単に直接AppStoreから任意のバージョン選択してインストールすることが出来るため、すごく便利かも!

スポンサーリンク

詳細情報

App Admin

Price(価格): 無料
Section(カテゴリ): Tweaks
Author(制作者): UnlimApps Inc.
Repo(配布元): BigBoss(デフォルト)

インストール

正式版はBigBossリポジトリからインストール出来ますが、ベータ版の方が開発が進んでおり、頻繁にアップデートが来るため、ある程度安定するまではそちらを追いかけてみるのもイイかもしれません。

http://beta.unlimapps.com/

jbapp-appadmin-02

より詳しいインストール方法は【Cydia の 使い方! ~全部解説~ [JBApp]】をご覧ください。

アプリ紹介

App Admin』を使うと、AppStoreから過去&任意のバージョンを指定してアプリをインストールすることが可能!
使い方も簡単なので、まずはそちらを見てみましょう!

バージョンを指定してインストール

AppStoreからインストールしたアプリの「インストール」ボタンを長押しすると、メニューが出現。ここから『Downgrade』を選択します。
ちなみに、既にインストール済みアプリの場合「開く」ボタンを長押ししても同様のメニューが出現します。

jbapp-appadmin-03jbapp-appadmin-04

あとはバージョンリストからインストールしたいバージョンを選択するだけ!
もし、リスト内に欲しいバージョンがない場合、次項でご紹介する手法で【バージョンID】を調べ、右上の「プラス」ボタンから追加することが出来ます

jbapp-appadmin-05jbapp-appadmin-06

バージョンIDの確認方法

もし、目当てのバージョンがリスト内にない場合は、若干面倒ではありますが自分でバージョンIDを調べる事が出来ます。

iTunesMetadata.plistを見る

これまでリリースされたバージョンIDは、アプリをインストールした際に付属してくる【iTunesMetadata.plist】というファイル内に記載されています。

ということで、目当てのアプリをいったんインストールし【Filza File Manager】などから以下のディレクトリにある【iTunesMetadata.plist】を開きましょう。

/var/mobile/Containers/Bundle/***/iTunesMetadata.plist

jbapp-appadmin-07

ファイルを開くと【softwareVersionExternalIdentifier】というキーがありますので、これを展開。ここに書かれている数値がバージョンIDとなります。
数字が大きいほど新しいバージョンとなりますので、リストなどと見比べつつ…目当てのバージョンのIDを探しましょう。

jbapp-appadmin-08

コメント

  1. iPhone単体でできるのは素晴らしい!

  2. うわぁ神Tweakやんけ!
    入獄中だから羨ましい・・・

  3. 30分前に「アプリのダウングレードできねぇかなぁ」って思ってた所に、
    やっぱTools4Hack神だわ

  4. これでLINEをダウングレードすると、トークが全部消えますよー

    • 5.1.0までなら落としても大丈夫だったよ

      iPhone6 iOS9.0.2

      • そうですか…
        いきなり471にしちゃったからですね…

        • トークの保存形式が変わったのがもんだいですね。。。

  5. 神Tweak

  6. app controlから名前変わったんだね

    • BigBossからリリースする際、既にAppControlという脱獄アプリが存在していましたので、それへの対応となっているようです。

  7. ウホッ!!

  8. おおwww
    マイクラとかする人多いかも?ww
    Twitterそんなアイコンだったんだ。知りませんでしたww

  9. これ入れたらすぐAppstoreが落ちるようになりました…しばらく無効化安置ですね…
    iphone5s ios9.0.2

    • 自分も落ちるようになりました…
      iPhone6 ios8.4

      • 同じく自分も落ちます。
        iPhone6 ios8.1.2

        • 自分もクラッシュします
          iPhone6+ ios8.1.1

          • 初めにコメントした物だけど、どうやらそれ以外のβ版(このリポ追加の)もアップグレードしないと行けないみたい。
            アップグレードしたら無事起動しました。

  10. Twitterが重くてアカウント切り替えが出来なかったのですがダウングレードしたらサクサク動くようになりました。やはりアップデートが原因だったようです。神Tweakです!!
    バージョンは6.42
    iPhone6 plus

  11. ベータ版を勧めるということは今の正式版は安定してないということですか?

    • 安定していない…ということではないのですが、現在はまだベータ版の方が使い勝手や細かな部分の修正が早く、そちらのほうがオススメかなと思います。

  12. iOS8系の脱獄ならばiTunesに転送も効いて保管もしておける
    これも神ですね
    今んとこ不自由してないんで
    頭の片隅にですが

  13. 素晴らしいです!!
    とりあえずLINEをダウングレードしましたが他にもすべきアプリはありますか?

  14. KnownVersionsのところが空っぽなのは
    ストアに旧バージョンが無いということなんですかね

    • バージョンIDは誰かが手動で追加してあげる必要があります。
      もしからの場合は、記事中にあります方法でバージョンIDを追加してあげてください。

  15. これを待ってたー!

  16. 過去バージョンリストが空でしたが
    バージョンIDを調べて追記したら出来ました
    これはいいですねー

  17. LINEを5.0.2にダウングレードしたら友だちもトークも消えてしまいましたw
    トーク画面をスワイプでノートやアルバムに切り替わる前のバージョンに戻したいんですが、どなたか正常にダウングレード出来た方いらっしゃいませんか?

    • 無理なダウングレードはしない方がいい

  18. リポジトリの中に見当たらないのですが…
    iOS8

    • リポジトリの更新後、「App Admin」で検索しても出てきませんでしたでしょうか?

      • 仰る通りリフレッシュしていないだけでした…
        ありがとうございます。

  19. これ入れたいけどiOS7…
    iOS8にしときゃよかったと改めて後悔
    iOS7に無理やりdeb入れたらまずいかな…

    • Recent Changesを見ると1.0r-16からiOS 7で動くとなっていますが、ダメですか? 1.0r-22はApp Storeが落ちます(iPhone 5S iOS8.1.2)

    • iOS7.1.2にベータ版1.0r-24で動作しましたよ。
      ただAppStorのアップデート一覧からしかメニューが出ません…。

      • アップデート一覧からだけだとどうしようもないよね

      • ipad mini2 ios7.1.2
        App atoreのアップデートタブ→開くボタン
        になっていればできますね。アップデートボタンの時はうまくいかないときがあります。
        旧バージョンをがとってあれば、それいれなおすことで、アップデート警告がでます。そこからアップデートして、開くボタンを出すことで、もっと古いバージョンもdlできるってことでしょうか。

    • iOS7.1.1のiPod touch5で1.0r-27で普通に使えますよ?

      • iOS7.1.2 iPhone4
        hirakuボタンからダウングレードメニューがでない

  20. iPhone4じゃ使えない感じ?

  21. このアプリは自分がそのアプリのversion時に取得していなくてもダウングレード可能でしょうか?

  22. ちなみにiPadでlineを使ってる人は、ダウングレードは4.9.2がおすすめです。理由はFullForce(脱獄アプリ)との組み合わせでフルスクリーンに最適化できます。文字がみやすいですよ。
    それより上のバージョンだと、トークからメモやアルバムに切り替えると落ちるバージョンが存在します。(全部調べたわけではありません)

    • 教えてくれて本当にありがとう

  23. ゲームをダウングレードしたら、英語表記になってしまいました。
    最新だとちゃんと日本語になるけど、ダウングレードすると英語になってしまいます。
    解決方法はありますか?

    • どうせマイクラだろ

      • ff6です。

  24. 旧βのdebてもらえないすかね

    • Cydiaのダウングレードメニューから以前のバージョンへダウングレードすることが可能です。

  25. ゲームなどですると
    最新版にアップデートしてくださいとなるのですが
    解決方法や回避方法ありますかね?

  26. FF6って初期verだとバグ育成できるんだっけか

  27. 細かくてすみません。【softwareVersionExternalIdentifier】ではなく【softwareVersionExternalIdentifiers】ですよね。

  28. 9.2なので、脱獄したら真っ先にこのTweak入れようと思いますww

  29. ストアから削除されていて、
    購入済みの項目でしかDL出来ないアプリは、
    さすがに対象外でしょうか。

  30. 私が使っているのはiOS7.1.1のipadですが、現在公開されているOfficeがiOS8以上でないと使えないので、本アプリを使用してみました。
    結果、AppAdminの「ダウングレードしますか?」のタブより先に「このアプリはiOS8.0以上が必要です」の警告が出ました。
    ダウングレードするにしても、最低限ソフトウェアのバージョンは必要なんでしょうかね。

    • 通常は「インストールボタンを長押しでメニュー表示」にしておくと、そちらの警告をスルーする事が出来るはずです。

    • 9.3で普通に使えてるみたいです。iPhone5Sです。

  31. 9.33でインストールしようとすると衝突してしまいDLできません

    • betaリポジトリを追加後、行ってみてもダメでしたでしょうか?

  32. これのせいかわかんないけど指紋パス解除使えなくなったんだが

    • そういった報告は見かけたことがありませんので、こちらの影響…というわけではないと思われます。
      一度セーフモードにて確認してみるとイイかもしれません。

  33. アプリの名前なんですか